unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ExtCtrls, StdCtrls, ComCtrls, kcMapViewer;

type

  { TForm1 }

  TForm1 = class(TForm)
    CheckBox1: TCheckBox;
    ComboBox1: TComboBox;
    GroupBox1: TGroupBox;
    GroupBox2: TGroupBox;
    GroupBox3: TGroupBox;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    Label7: TLabel;
    mv: TMapViewer;
    Panel1: TPanel;
    TrackBar1: TTrackBar;
    procedure CheckBox1Change(Sender: TObject);
    procedure ComboBox1Change(Sender: TObject);
    procedure FormMouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
    procedure FormShow(Sender: TObject);
    procedure FormDblClick(Sender: TObject);
    procedure TrackBar1Change(Sender: TObject);
  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

procedure TForm1.FormMouseMove(Sender: TObject; Shift: TShiftState; X,
  Y: Integer);
var
  p: TIntPoint;
  r: TRealPoint;
begin
  p := mv.GetMouseMapPixel(X, Y);
  Label2.Caption := Format('Pixel: %d:%d', [p.X, p.Y]);
  p := mv.GetMouseMapTile(X, Y);
  Label3.Caption := Format('Tile: %d:%d', [p.X, p.Y]);
  r := mv.GetMouseMapLongLat(X, Y);
  Label4.Caption := Format('Long: %g', [r.X]);
  Label5.Caption := Format('Lat: %g', [r.Y]);

  r := mv.CenterLongLat;
  Label6.Caption := Format('Long: %g', [r.X]);
  Label7.Caption := Format('Lat: %g', [r.Y]);
end;

procedure TForm1.FormShow(Sender: TObject);
begin
{  mv := TMapViewer.Create(Self);
  mv.Parent := Self;
  mv.Align := alClient;
  mv.Source := msNone;
  mv.Debug := True;
  mv.Zoom := 0;
  mv.Center;
  mv.OnMouseMove := @FormMouseMove;
  mv.OnDblClick := @FormDblClick;}
end;

procedure TForm1.FormDblClick(Sender: TObject);
begin
  TrackBar1.Position := mv.Zoom;
end;

procedure TForm1.TrackBar1Change(Sender: TObject);
begin
  if Sender = TrackBar1 then
    mv.Zoom := TrackBar1.Position;
end;

procedure TForm1.ComboBox1Change(Sender: TObject);
begin
  mv.Source := TMapSource(ComboBox1.ItemIndex);
end;

procedure TForm1.CheckBox1Change(Sender: TObject);
begin
  mv.Debug := CheckBox1.Checked;
end;

end.
